Create Access Token - Fabric
Create Access Token
cURL
curl --request POST \
--url https://commerceos.aiagents.fabric.inc/platform/v1/auth/token \
--header 'Content-Type: application/json' \
--data '
{
"grant_type": "client_credentials",
"client_id": "ser_zUe74HYT98d6ItDhIQWYYur0k",
"client_secret": "bv_1s9uWC_7324598gjdsh_ijSUVmm6YCt-6Ahd8Nt3GsTb8w8"
}
'```
### Python
```python
import requests
url = "https://commerceos.aiagents.fabric.inc/platform/v1/auth/token"
payload = {
"grant_type": "client_credentials",
"client_id": "ser_zUe74HYT98d6ItDhIQWYYur0k",
"client_secret": "bv_1s9uWC_7324598gjdsh_ijSUVmm6YCt-6Ahd8Nt3GsTb8w8"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (fetch)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
grant_type: 'client_credentials',
client_id: 'ser_zUe74HYT98d6ItDhIQWYYur0k',
client_secret: 'bv_1s9uWC_7324598gjdsh_ijSUVmm6YCt-6Ahd8Nt3GsTb8w8'
})
};
fetch('https://commerceos.aiagents.fabric.inc/platform/v1/auth/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://commerceos.aiagents.fabric.inc/platform/v1/auth/token",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'grant_type' => 'client_credentials',
'client_id' => 'ser_zUe74HYT98d6ItDhIQWYYur0k',
'client_secret' => 'bv_1s9uWC_7324598gjdsh_ijSUVmm6YCt-6Ahd8Nt3GsTb8w8'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://commerceos.aiagents.fabric.inc/platform/v1/auth/token"
payload := strings.NewReader("{\n \"grant_type\": \"client_credentials\",\n \"client_id\": \"ser_zUe74HYT98d6ItDhIQWYYur0k\",\n \"client_secret\": \"bv_1s9uWC_7324598gjdsh_ijSUVmm6YCt-6Ahd8Nt3GsTb8w8\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.post("https://commerceos.aiagents.fabric.inc/platform/v1/auth/token")
.header("Content-Type", "application/json")
.body("{\n \"grant_type\": \"client_credentials\",\n \"client_id\": \"ser_zUe74HYT98d6ItDhIQWYYur0k\",\n \"client_secret\": \"bv_1s9uWC_7324598gjdsh_ijSUVmm6YCt-6Ahd8Nt3GsTb8w8\"}\n")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://commerceos.aiagents.fabric.inc/platform/v1/auth/token")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"grant_type\": \"client_credentials\",\n \"client_id\": \"ser_zUe74HYT98d6ItDhIQWYYur0k\",\n \"client_secret\": \"bv_1s9uWC_7324598gjdsh_ijSUVmm6YCt-6Ahd8Nt3GsTb8w8\"}\n"
response = http.request(request)
puts response.read_body
HTTP Status Codes
- 200: Successful authentication
- 400: Bad request
- 401: Unauthorized request
- 500: Internal server error
Example Response
- Success:
{
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"token_type": "bearer",
"expires_in": 3600,
"scope": ""
}
- Error:
{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}
Request Body
- grant_type: string, required
- Example: "client_credentials"
- client_id: string, required
- Example: "ser_zUe74HYT98d6ItDhIQWYYur0k"
- client_secret: string, required
- Example: "bv_1s9uWC_7324598gjdsh_ijSUVmm6YCt-6Ahd8Nt3GsTb8w8"
Response Fields
- access_token: string, required
- Access token used for authenticated requests. Tokens expire every 60 minutes.
- Example: "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
- token_type: string, required
- Type of token returned.
- Example: "bearer"
- expires_in: integer, required
- Time in seconds until the token expires.
- Example: 3600
- scope: string, required
- Scope of the access token.
- Example: ""